Loading...
Searching...
No Matches
pappso::PeptideFragmentIon Class Reference

`#include <peptidefragmention.h>`

Inheritance diagram for pappso::PeptideFragmentIon:

## Public Member Functions

| PeptideFragmentIon (const PeptideFragmentSp &sp_fragment, PeptideIon ion_type, unsigned int number_of_neutral_phospho_loss)
| PeptideFragmentIon (const PeptideFragmentSp &sp_fragment, PeptideIon ion_type)
| PeptideFragmentIon (const PeptideFragmentIon &other)
| PeptideFragmentIon (PeptideFragmentIon &&toCopy)
virtual | ~PeptideFragmentIon ()
PeptideFragmentIonSp | makePeptideFragmentIonSp () const
virtual unsigned int | size () const override
virtual const QString | getSequence () const override
| amino acid sequence without modification
virtual const PeptideFragmentSp & | getPeptideFragmentSp () const
virtual int | getNumberOfAtom (AtomIsotopeSurvey atom) const override
| get the number of atom C, O, N, H in the molecule
virtual int | getNumberOfIsotope (Isotope isotope) const override
| get the number of isotopes C13, H2, O17, O18, N15, S33, S34, S36 in the molecule
virtual const QString | getName () const override
pappso_double | getMass () const override
const QString | getPeptideIonName () const
const QString | getCompletePeptideIonName (unsigned int charge) const
| get a complete ion name string
PeptideIon | getPeptideIonType () const
PeptideDirection | getPeptideIonDirection () const
unsigned int | getNumberOfNeutralPhosphoLoss () const
virtual bool | isPalindrome () const override
| tells if the peptide sequence is a palindrome
Public Member Functions inherited from pappso::PeptideInterface
virtual const QString | getSequenceLi () const
| amino acid sequence without modification where L are replaced by I
virtual const QString | getFormula (unsigned int charge) const final
virtual bool | matchPeak (PrecisionPtr precision, pappso_double peak_mz, unsigned int charge) const final
Public Member Functions inherited from pappso::Ion
| Ion ()
| ~Ion ()
virtual pappso_double | getMz (unsigned int charge) const final

## Static Public Member Functions

static PeptideDirection | getPeptideIonDirection (PeptideIon ion_type)
static const QString | getPeptideIonName (PeptideIon ion_type)
static const QColor | getPeptideIonColor (PeptideIon ion_type)

## Private Attributes

const PeptideFragmentSp | msp_fragment
const PeptideIon | m_ionType
pappso_double | m_mass = 0
unsigned int | m_neutralPhosphoLossNumber = 0

## Detailed Description

Definition at line 49 of file peptidefragmention.h.

## Constructor & Destructor Documentation

## PeptideFragmentIon() [1/4]

pappso::PeptideFragmentIon::PeptideFragmentIon | ( | const PeptideFragmentSp & | sp_fragment,
|  | PeptideIon | ion_type,
|  | unsigned int | number_of_neutral_phospho_loss
| ) |  |

Definition at line 45 of file peptidefragmention.cpp.

: msp_fragment(sp_fragment), m_ionType(ion_type)
{
m_mass = msp_fragment.get()->getMass();
PeptideDirection direction = msp_fragment.get()->getPeptideIonDirection();
if(direction != pappso::getPeptideIonDirection(m_ionType))
{
throw PappsoException(
QString("PeptideIon %1 is not an %2 fragment")
.arg(PeptideFragmentIon::getPeptideIonName(m_ionType))
.arg(PeptideFragment::getPeptideIonDirectionName(direction)));
}
m_mass -= MASSH2O;
switch(m_ionType)
{
// -MASSH2O
case PeptideIon::yp:
m_neutralPhosphoLossNumber = number_of_neutral_phospho_loss;
m_mass -=
((MASSH2O + MASSPHOSPHORYLATEDR) * m_neutralPhosphoLossNumber);
ion_type = PeptideIon::y;
break;
case PeptideIon::bp:
m_neutralPhosphoLossNumber = number_of_neutral_phospho_loss;
m_mass -=
((MASSH2O + MASSPHOSPHORYLATEDR) * m_neutralPhosphoLossNumber);
ion_type = PeptideIon::b;
break;
default:
break;
}
m_mass += PeptideRawFragmentMasses::getDeltaMass(ion_type);
}
pappso::PeptideFragmentIon::m_neutralPhosphoLossNumber
unsigned int m_neutralPhosphoLossNumber
Definition peptidefragmention.h:102
pappso::PeptideFragmentIon::getPeptideIonName
const QString getPeptideIonName() const
Definition peptidefragmention.cpp:138
pappso::PeptideFragmentIon::m_mass
pappso_double m_mass
Definition peptidefragmention.h:98
pappso::PeptideFragmentIon::msp_fragment
const PeptideFragmentSp msp_fragment
Definition peptidefragmention.h:95
pappso::PeptideFragmentIon::m_ionType
const PeptideIon m_ionType
Definition peptidefragmention.h:96
pappso::PeptideFragment::getPeptideIonDirectionName
static const QString getPeptideIonDirectionName(PeptideDirection direction)
Definition peptidefragment.cpp:98
pappso::PeptideRawFragmentMasses::getDeltaMass
static pappso_double getDeltaMass(PeptideIon ion_type)
Definition peptiderawfragmentmasses.cpp:56
pappso::PeptideIon::y
@ y
Cter amino ions.
pappso::PeptideIon::bp
@ bp
pappso::PeptideIon::yp
@ yp
pappso::PeptideIon::b
@ b
Nter acylium ions.
pappso::getPeptideIonDirection
PeptideDirection getPeptideIonDirection(PeptideIon ion_type)
get the direction of a peptide ion
Definition peptide.cpp:70
pappso::PeptideDirection
PeptideDirection
Definition peptide.h:46
pappso::MASSH2O
const pappso_double MASSH2O((MPROTIUM *2)+MASSOXYGEN)
pappso::MASSPHOSPHORYLATEDR
const pappso_double MASSPHOSPHORYLATEDR(MPROTIUM+(MASSOXYGEN *3)+MASSPHOSPHORUS)

References pappso::b, pappso::bp, pappso::PeptideRawFragmentMasses::getDeltaMass(), pappso::getPeptideIonDirection(), pappso::PeptideFragment::getPeptideIonDirectionName(), getPeptideIonName(), m_ionType, m_mass, m_neutralPhosphoLossNumber, pappso::MASSH2O(), pappso::MASSPHOSPHORYLATEDR(), msp_fragment, pappso::y, and pappso::yp.

## PeptideFragmentIon() [2/4]

pappso::PeptideFragmentIon::PeptideFragmentIon | ( | const PeptideFragmentSp & | sp_fragment,
|  | PeptideIon | ion_type
| ) |  |

Definition at line 39 of file peptidefragmention.cpp.

: PeptideFragmentIon(sp_fragment, ion_type, 0)
{
}
pappso::PeptideFragmentIon::PeptideFragmentIon
PeptideFragmentIon(const PeptideFragmentSp &sp_fragment, PeptideIon ion_type, unsigned int number_of_neutral_phospho_loss)
Definition peptidefragmention.cpp:45

## PeptideFragmentIon() [3/4]

pappso::PeptideFragmentIon::PeptideFragmentIon | ( | const PeptideFragmentIon & | other | ) |

Definition at line 82 of file peptidefragmention.cpp.

: msp_fragment(other.msp_fragment), m_ionType(other.m_ionType)
{
m_mass = other.m_mass;
}

References m_mass.

## PeptideFragmentIon() [4/4]

pappso::PeptideFragmentIon::PeptideFragmentIon | ( | PeptideFragmentIon && | toCopy | ) |

Definition at line 89 of file peptidefragmention.cpp.

: msp_fragment(std::move(toCopy.msp_fragment)),
m_ionType(toCopy.m_ionType),
m_mass(toCopy.m_mass)
{
}

## ~PeptideFragmentIon()

pappso::PeptideFragmentIon::~PeptideFragmentIon | ( |  | ) |

virtual

Definition at line 97 of file peptidefragmention.cpp.

{
}

## Member Function Documentation

## getCompletePeptideIonName()

const QString pappso::PeptideFragmentIon::getCompletePeptideIonName | ( | unsigned int | charge | ) | const

get a complete ion name string

Parameters

  charge |

Definition at line 110 of file peptidefragmention.cpp.

{
std::size_t size = msp_fragment.get()->size();
QString plusstr = "+";
plusstr = plusstr.repeated(charge);
if(m_ionType == PeptideIon::yp)
{
return QString("y%1(-P%2)%3")
.arg(size)
.arg(m_neutralPhosphoLossNumber)
.arg(plusstr);
}
else if(m_ionType == PeptideIon::bp)
{
return QString("b%1(-P%2)%3")
.arg(size)
.arg(m_neutralPhosphoLossNumber)
.arg(plusstr);
}
return QString("%1%2%3")
.arg(getPeptideIonName(m_ionType))
.arg(size)
.arg(plusstr);
}
pappso::PeptideFragmentIon::size
virtual unsigned int size() const override
Definition peptidefragmention.cpp:557

References pappso::bp, getPeptideIonName(), m_ionType, m_neutralPhosphoLossNumber, msp_fragment, size(), and pappso::yp.

## getMass()

pappso_double pappso::PeptideFragmentIon::getMass | ( |  | ) | const

override virtual

Implements pappso::Ion.

Definition at line 581 of file peptidefragmention.cpp.

{
return m_mass;
}

References m_mass.

## getName()

const QString pappso::PeptideFragmentIon::getName | ( |  | ) | const

override virtual

Reimplemented from pappso::PeptideInterface.

Definition at line 575 of file peptidefragmention.cpp.

{
return QString("%1-%2").arg(getPeptideIonName(m_ionType)).arg(size());
}

References getPeptideIonName(), m_ionType, and size().

## getNumberOfAtom()

int pappso::PeptideFragmentIon::getNumberOfAtom | ( | AtomIsotopeSurvey | atom | ) | const

override virtual

get the number of atom C, O, N, H in the molecule

Implements pappso::AtomNumberInterface.

Definition at line 259 of file peptidefragmention.cpp.

{
int number = msp_fragment.get()->getNumberOfAtom(atom);
int diff = 0;
switch(atom)
{
case AtomIsotopeSurvey::C:
switch(m_ionType)
{
case PeptideIon::y:
break;
case PeptideIon::yp:
// H 1 O 3 P 1 + H 2 0
break;
case PeptideIon::ystar:
// m_mass -= MASSNH3;
break;
case PeptideIon::yo:
// m_mass -= MASSH2O;
break;
case PeptideIon::bstar:
// m_mass -= MASSH2O;
// m_mass -= MASSNH3;
break;
case PeptideIon::bo:
// m_mass -= MASSH2O;
// m_mass -= MASSH2O;
break;
case PeptideIon::a:
// m_mass -= MASSH2O;
// m_mass -= MASSCO;
diff = -1;
break;
case PeptideIon::c:
// m_mass += MASSNH3;
break;
// SvgIon.moxygen - mN
case PeptideIon::z:
// m_mass -= MASSH2O;
// m_mass += MASSOXYGEN - MASSNITROGEN - MPROTIUM;
break;
case PeptideIon::b:
// m_mass -= MASSH2O;
break;
case PeptideIon::bp:
// H 1 O 3 P 1 + H 2 0
break;
case PeptideIon::astar:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSNH3;
diff = -1;
break;
case PeptideIon::ao:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSH2O;
diff = -1;
break;
case PeptideIon::x:
// +MASSCO + MASSOXYGEN
diff = +1;
break;
default:
throw PappsoException(QString("PeptideIon name not implemented"));
break;
}
break;
case AtomIsotopeSurvey::H:
switch(m_ionType)
{
case PeptideIon::y:
break;
case PeptideIon::yp:
// H 1 O 3 P 1 + H 2 0
diff = -3 * m_neutralPhosphoLossNumber;
break;
case PeptideIon::ystar:
// m_mass -= MASSNH3;
diff = -3;
break;
case PeptideIon::yo:
// m_mass -= MASSH2O;
diff = -2;
break;
case PeptideIon::bstar:
// m_mass -= MASSH2O;
// m_mass -= MASSNH3;
diff = -5;
break;
case PeptideIon::bo:
// m_mass -= MASSH2O;
// m_mass -= MASSH2O;
diff = -4;
break;
case PeptideIon::a:
// m_mass -= MASSH2O;
// m_mass -= MASSCO;
diff = -2;
break;
case PeptideIon::c:
// m_mass += MASSNH3;
diff = -3;
break;
// SvgIon.moxygen - mN
case PeptideIon::z:
// m_mass -= MASSH2O;
// m_mass += MASSOXYGEN - MASSNITROGEN - MPROTIUM;
diff = -3;
break;
case PeptideIon::b:
// m_mass -= MASSH2O;
diff = -2;
break;
case PeptideIon::bp:
// H 1 O 3 P 1 + H 2 0
diff = -3 * m_neutralPhosphoLossNumber;
break;
case PeptideIon::astar:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSNH3;
diff = -5;
break;
case PeptideIon::ao:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSH2O;
diff = -4;
break;
case PeptideIon::x:
// +MASSCO + MASSOXYGEN
diff = -2;
break;
default:
throw PappsoException(QString("PeptideIon name not implemented"));
break;
}
break;
case AtomIsotopeSurvey::N:
switch(m_ionType)
{
case PeptideIon::y:
break;
case PeptideIon::yp:
// H 1 O 3 P 1 + H 2 0
break;
case PeptideIon::ystar:
// m_mass -= MASSNH3;
diff = -1;
break;
case PeptideIon::yo:
// m_mass -= MASSH2O;
break;
case PeptideIon::bstar:
// m_mass -= MASSH2O;
// m_mass -= MASSNH3;
diff = -1;
break;
case PeptideIon::bo:
// m_mass -= MASSH2O;
// m_mass -= MASSH2O;
break;
case PeptideIon::a:
// m_mass -= MASSH2O;
// m_mass -= MASSCO;
break;
case PeptideIon::c:
// m_mass += MASSNH3;
diff = -1;
break;
// SvgIon.moxygen - mN
case PeptideIon::z:
// m_mass -= MASSH2O;
// m_mass += MASSOXYGEN - MASSNITROGEN - MPROTIUM;
diff = -1;
break;
case PeptideIon::b:
// m_mass -= MASSH2O;
break;
case PeptideIon::bp:
// H 1 O 3 P 1 + H 2 0
break;
case PeptideIon::astar:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSNH3;
diff = -1;
break;
case PeptideIon::ao:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSH2O;
break;
case PeptideIon::x:
// +MASSCO + MASSOXYGEN
break;
default:
throw PappsoException(QString("PeptideIon name not implemented"));
break;
}
break;
case AtomIsotopeSurvey::O:
switch(m_ionType)
{
case PeptideIon::y:
break;
case PeptideIon::yp:
// H 1 O 3 P 1 + H 2 0
diff = -4 * m_neutralPhosphoLossNumber;
break;
case PeptideIon::ystar:
// m_mass -= MASSNH3;
break;
case PeptideIon::yo:
// m_mass -= MASSH2O;
diff = -1;
break;
case PeptideIon::bstar:
// m_mass -= MASSH2O;
// m_mass -= MASSNH3;
diff = -1;
break;
case PeptideIon::bo:
// m_mass -= MASSH2O;
// m_mass -= MASSH2O;
diff = -2;
break;
case PeptideIon::a:
// m_mass -= MASSH2O;
// m_mass -= MASSCO;
diff = -2;
break;
case PeptideIon::c:
// m_mass += MASSNH3;
break;
// SvgIon.moxygen - mN
case PeptideIon::z:
// m_mass -= MASSH2O;
// m_mass += MASSOXYGEN - MASSNITROGEN - MPROTIUM;
diff = -2;
break;
case PeptideIon::b:
// m_mass -= MASSH2O;
diff = -1;
break;
case PeptideIon::bp:
// H 1 O 3 P 1 + H 2 0
diff = -4 * m_neutralPhosphoLossNumber;
break;
case PeptideIon::astar:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSNH3;
diff = -2;
break;
case PeptideIon::ao:
// m_mass -= MASSH2O;
// m_mass = - MASSCO - MASSH2O;
diff = -3;
break;
case PeptideIon::x:
// +MASSCO + MASSOXYGEN
diff = +1;
break;
default:
throw PappsoException(
QObject::tr("PeptideIon name not implemented"));
break;
}
break;
case AtomIsotopeSurvey::S:
break;
default:
qDebug() << "PeptideFragmentIon::getNumberOfAtom(AtomIsotopeSurvey "
"atom) NOT IMPLEMENTED";
}
return number + diff;
}
pappso::PeptideIon::a
@ a
Nter aldimine ions.
pappso::PeptideIon::c
@ c
Nter amino ions.
pappso::PeptideIon::astar
@ astar
Nter aldimine ions + NH3 loss.
pappso::PeptideIon::ystar
@ ystar
Cter amino ions + NH3 loss.
pappso::PeptideIon::yo
@ yo
Cter amino ions + H2O loss.
pappso::PeptideIon::bstar
@ bstar
Nter acylium ions + NH3 loss.
pappso::PeptideIon::x
@ x
Cter acylium ions.
pappso::PeptideIon::bo
@ bo
Nter acylium ions + H2O loss.
pappso::PeptideIon::ao
@ ao
Nter aldimine ions + H2O loss.
pappso::PeptideIon::z
@ z
Cter carbocations.
pappso::AtomIsotopeSurvey::C
@ C
pappso::AtomIsotopeSurvey::S
@ S
pappso::AtomIsotopeSurvey::N
@ N
pappso::AtomIsotopeSurvey::H
@ H
pappso::AtomIsotopeSurvey::O
@ O

References pappso::a, pappso::ao, pappso::astar, pappso::b, pappso::bo, pappso::bp, pappso::bstar, pappso::C, pappso::c, pappso::H, m_ionType, m_neutralPhosphoLossNumber, msp_fragment, pappso::N, pappso::O, pappso::S, pappso::x, pappso::y, pappso::yo, pappso::yp, pappso::ystar, and pappso::z.

## getNumberOfIsotope()

int pappso::PeptideFragmentIon::getNumberOfIsotope | ( | Isotope | isotope | ) | const

override virtual

get the number of isotopes C13, H2, O17, O18, N15, S33, S34, S36 in the molecule

Implements pappso::AtomNumberInterface.

Definition at line 543 of file peptidefragmention.cpp.

{
int number = msp_fragment.get()->getNumberOfIsotope(isotope);
return number;
}

References msp_fragment.

## getNumberOfNeutralPhosphoLoss()

unsigned int pappso::PeptideFragmentIon::getNumberOfNeutralPhosphoLoss | ( |  | ) | const

Definition at line 597 of file peptidefragmention.cpp.

{
return m_neutralPhosphoLossNumber;
}

References m_neutralPhosphoLossNumber.

## getPeptideFragmentSp()

const PeptideFragmentSp & pappso::PeptideFragmentIon::getPeptideFragmentSp | ( |  | ) | const

virtual

Definition at line 569 of file peptidefragmention.cpp.

{
return msp_fragment;
}

References msp_fragment.

## getPeptideIonColor()

const QColor pappso::PeptideFragmentIon::getPeptideIonColor | ( | PeptideIon | ion_type | ) |

static

Definition at line 204 of file peptidefragmention.cpp.

{
switch(m_ionType)
{
case PeptideIon::y:
return QColor("red");
break;
case PeptideIon::yp:
return QColor("red");
break;
case PeptideIon::ystar:
return QColor("red");
break;
case PeptideIon::yo:
return QColor("orange");
break;
case PeptideIon::x:
return QColor("orange");
break;
case PeptideIon::bstar:
return QColor("blue");
break;
case PeptideIon::bo:
return QColor("#ff00ff");
break;
case PeptideIon::a:
return QColor("green");
break;
case PeptideIon::astar:
return QColor("green");
break;
case PeptideIon::ao:
return QColor("green");
break;
case PeptideIon::c:
return QColor("blue");
break;
// SvgIon.moxygen - mN
case PeptideIon::z:
return QColor("red");
break;
case PeptideIon::b:
return QColor("blue");
break;
case PeptideIon::bp:
return QColor("blue");
break;
default:
throw PappsoException(QString("PeptideIon color not implemented %1")
.arg(getPeptideIonName(m_ionType)));
break;
}
}

References pappso::a, pappso::ao, pappso::astar, pappso::b, pappso::bo, pappso::bp, pappso::bstar, pappso::c, getPeptideIonName(), m_ionType, pappso::x, pappso::y, pappso::yo, pappso::yp, pappso::ystar, and pappso::z.

Referenced by pappso::QCPSpectrum::QCPSpectrum(), and pappso::MassSpectrumWidget::plot().

## getPeptideIonDirection() [1/2]

PeptideDirection pappso::PeptideFragmentIon::getPeptideIonDirection | ( |  | ) | const

Definition at line 592 of file peptidefragmention.cpp.

{
return msp_fragment.get()->getPeptideIonDirection();
}

References msp_fragment.

## getPeptideIonDirection() [2/2]

PeptideDirection pappso::PeptideFragmentIon::getPeptideIonDirection | ( | PeptideIon | ion_type | ) |

static

Definition at line 103 of file peptidefragmention.cpp.

{
return pappso::getPeptideIonDirection(ion_type);
}

References pappso::getPeptideIonDirection().

## getPeptideIonName() [1/2]

const QString pappso::PeptideFragmentIon::getPeptideIonName | ( |  | ) | const

Definition at line 138 of file peptidefragmention.cpp.

{
if((m_ionType == PeptideIon::yp) || (m_ionType == PeptideIon::bp))
{
return QString("%1(%2)")
.arg(getPeptideIonName(m_ionType))
.arg(m_neutralPhosphoLossNumber);
}
return getPeptideIonName(m_ionType);
}

References pappso::bp, getPeptideIonName(), m_ionType, m_neutralPhosphoLossNumber, and pappso::yp.

Referenced by PeptideFragmentIon(), getCompletePeptideIonName(), getName(), pappso::PeptideFragmentIonListBase::getPeptideFragmentIonSp(), getPeptideIonColor(), and getPeptideIonName().

## getPeptideIonName() [2/2]

const QString pappso::PeptideFragmentIon::getPeptideIonName | ( | PeptideIon | ion_type | ) |

static

Definition at line 150 of file peptidefragmention.cpp.

{
switch(m_ionType)
{
case PeptideIon::y:
return "y";
break;
case PeptideIon::yp:
return "yP";
break;
case PeptideIon::ystar:
return "y*";
break;
case PeptideIon::yo:
return "yO";
break;
case PeptideIon::bstar:
return "b*";
break;
case PeptideIon::bo:
return "bO";
break;
case PeptideIon::a:
return "a";
break;
case PeptideIon::astar:
return "a*";
break;
case PeptideIon::ao:
return "aO";
break;
case PeptideIon::c:
return "c";
break;
// SvgIon.moxygen - mN
case PeptideIon::z:
return "z";
break;
case PeptideIon::b:
return "b";
break;
case PeptideIon::bp:
return "bP";
break;
case PeptideIon::x:
return "x";
break;
default:
throw PappsoException(QString("PeptideIon name not implemented"));
break;
}
}

References pappso::a, pappso::ao, pappso::astar, pappso::b, pappso::bo, pappso::bp, pappso::bstar, pappso::c, m_ionType, pappso::x, pappso::y, pappso::yo, pappso::yp, pappso::ystar, and pappso::z.

## getPeptideIonType()

PeptideIon pappso::PeptideFragmentIon::getPeptideIonType | ( |  | ) | const

Definition at line 587 of file peptidefragmention.cpp.

{
return m_ionType;
}

References m_ionType.

## getSequence()

const QString pappso::PeptideFragmentIon::getSequence | ( |  | ) | const

override virtual

amino acid sequence without modification

Implements pappso::PeptideInterface.

Definition at line 563 of file peptidefragmention.cpp.

{
return msp_fragment.get()->getSequence();
}

References msp_fragment.

## isPalindrome()

bool pappso::PeptideFragmentIon::isPalindrome | ( |  | ) | const

override virtual

tells if the peptide sequence is a palindrome

Implements pappso::PeptideInterface.

Definition at line 603 of file peptidefragmention.cpp.

{
return msp_fragment.get()->isPalindrome();
}

References msp_fragment.

## makePeptideFragmentIonSp()

PeptideFragmentIonSp pappso::PeptideFragmentIon::makePeptideFragmentIonSp | ( |  | ) | const

Definition at line 550 of file peptidefragmention.cpp.

{
return std::make_shared<PeptideFragmentIon>(*this);
}

## size()

unsigned int pappso::PeptideFragmentIon::size | ( |  | ) | const

override virtual

Implements pappso::PeptideInterface.

Definition at line 557 of file peptidefragmention.cpp.

{
return msp_fragment.get()->size();
}

References msp_fragment.

Referenced by getCompletePeptideIonName(), and getName().

## Member Data Documentation

## m_ionType

const PeptideIon pappso::PeptideFragmentIon::m_ionType

private

Definition at line 96 of file peptidefragmention.h.

Referenced by PeptideFragmentIon(), getCompletePeptideIonName(), getName(), getNumberOfAtom(), getPeptideIonColor(), getPeptideIonName(), getPeptideIonName(), and getPeptideIonType().

## m_mass

pappso_double pappso::PeptideFragmentIon::m_mass = 0

private

Definition at line 98 of file peptidefragmention.h.

Referenced by PeptideFragmentIon(), PeptideFragmentIon(), and getMass().

## m_neutralPhosphoLossNumber

unsigned int pappso::PeptideFragmentIon::m_neutralPhosphoLossNumber = 0

private

Definition at line 102 of file peptidefragmention.h.

Referenced by PeptideFragmentIon(), getCompletePeptideIonName(), getNumberOfAtom(), getNumberOfNeutralPhosphoLoss(), and getPeptideIonName().

## msp_fragment

const PeptideFragmentSp pappso::PeptideFragmentIon::msp_fragment

private

Definition at line 95 of file peptidefragmention.h.

Referenced by PeptideFragmentIon(), getCompletePeptideIonName(), getNumberOfAtom(), getNumberOfIsotope(), getPeptideFragmentSp(), getPeptideIonDirection(), getSequence(), isPalindrome(), and size().

The documentation for this class was generated from the following files:

- pappsomspp/peptide/peptidefragmention.h
- pappsomspp/peptide/peptidefragmention.cpp